using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

			Siberix.Sparkle.Graphics.Image image = new Siberix.Sparkle.Graphics.Image("../../image.jpg");

			page.Graphics.DrawImage(image, 50, 50, image.Width * 0.65F, image.Height * 0.65F);

			document.Generate("Image.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Image.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}